Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.operator
Class PartialMapping

    java.lang.Object
      edu.udo.cs.miningmart.operator.ExecutableOperator
          edu.udo.cs.miningmart.operator.FeatureConstruction
              edu.udo.cs.miningmart.operator.Mapping
                  edu.udo.cs.miningmart.operator.PartialMapping

public class PartialMapping
extends Mapping

The class PartialMapping maps values for which no mapping has been specified into a target attribute value. It implements abstract method getDefault declared in Mapping.

Version:
  $Id: PartialMapping.java,v 1.3 2006/04/11 14:10:11 euler Exp $
Author:
  Cezary Chudzian
See Also:
  `Mapping`, `PartialMapping`

Constructor Summary
`PartialMapping()`

Method Summary
`java.lang.String` | `getDefault(Column theTargetAttributeColumn)` Method overriding getDefault from Mapping class

Methods inherited from class edu.udo.cs.miningmart.operator.Mapping
`generateSQL, getTheMappings`

Methods inherited from class edu.udo.cs.miningmart.operator.FeatureConstruction
`compileStatement, createStatement, estimateStatistics, execute, generateColumnForOp, getCurrentLoopNumber, getTheInputConcept, getTheOutputAttribute, getTheOutputAttribute, getTheTargetAttribute, getTheTargetAttribute, load, writeResults`

Methods inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`autoPrint, checkConditions, doPrint, doPrint, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getArtificalColumnName, getBusinessDbms, getHighestLoopNr, getM4Db, getM4Dbms, getM4ObjectFromCache, getName, getNextM4SequenceValue, getNumberOfLoops, getOperator, getOpParamsIterator, getParameter, getParameter, getSingleParameter, getSingleParameter, getStep, handleAssertions, isDeselectedParameter, isLoopable, isManual, isStepable, print, putM4ObjectToCache, showCreateStatement, storedProceduresAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PartialMapping

    public PartialMapping()

Method Detail

### getDefault

    public java.lang.String getDefault(Column theTargetAttributeColumn)

  Method overriding getDefault from Mapping class

  Specified by:
    `getDefault` in class `Mapping`
  Returns:
    value to map to if mapping is not specified

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005